import request from '@/utils/request'

export function fetchShopTypeList(query) {
  return request({
    url: '/shop/types',
    method: 'get',
    params: query
  })
}

export function changeShopSetting(shopSettingValue) {
  return request({
    url: '/shop/add/setting',
    method: 'post',
    data: {
      shopSettingValue: shopSettingValue
    }
  })
}

export function addShopType(listQuery) {
  return request({
    url: '/shop/add/type',
    method: 'post',
    data: listQuery
  })
}

export function getShopType(id) {
  return request({
    url: '/shop/get/type/' + id,
    method: 'get'
  })
}

export function updateShopType(listQuery) {
  return request({
    url: '/shop/update/type',
    method: 'post',
    data: listQuery
  })
}

export function deleteShopType(ids) {
  return request({
    url: '/shop/delete/type',
    method: 'delete',
    data: {
      idArray: ids
    }
  })
}

