import { fetchShopTypeList, changeShopSetting, addShopType, getShopType, updateShopType, deleteShopType } from '@/api/shopType'

const transaction = {
  namespaced: true,
  state: {
  },

  mutations: {
  },

  actions: {
    // 获取收费组列表
    FetchShopTypeList({ commit }, listQuery) {
      return new Promise((resolve, reject) => {
        fetchShopTypeList(listQuery).then(response => {
          const data = response.data
          resolve(data)
        }).catch(error => {
          reject(error)
        })
      })
    },
    ChangeShopSetting({ commit }, shopSettingValue) {
      return new Promise((resolve, reject) => {
        changeShopSetting(shopSettingValue).then(response => {
          const data = response.data
          resolve(data)
        }).catch(error => {
          reject(error)
        })
      })
    },
    AddShopType({ commit }, listQuery) {
      return new Promise((resolve, reject) => {
        addShopType(listQuery).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    GetShopType({ commit }, id) {
      return new Promise((resolve, reject) => {
        getShopType(id).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    UpdateShopType({ commit }, listQuery) {
      return new Promise((resolve, reject) => {
        updateShopType(listQuery).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    DeleteShopType({ commit }, ids) {
      return new Promise((resolve, reject) => {
        deleteShopType(ids).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    }
  }
}

export default transaction
